Debian Bug report logs - #435028
awstats don't allow to use gzipped logs from command line

version graph

Package: awstats; Maintainer for awstats is Sergey B Kirpichev <skirpichev@gmail.com>; Source for awstats is src:awstats.

Reported by: "Alex V. Breger" <osgxdvyg@gmail.com>

Date: Sat, 28 Jul 2007 16:12:01 UTC

Severity: normal

Tags: confirmed, upstream

Found in version awstats/6.5+dfsg-1

Fixed in version awstats/7.0~dfsg-6

Done: Sergey B Kirpichev <skirpichev@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=2769526&group_id=13764&atid=113764

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#435028; Package awstats. Full text and rfc822 format available.

Acknowledgement sent to "Alex V. Breger" <osgxdvyg@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Alex V. Breger" <osgxdvyg@gmail.com>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: awstats don't allow to use gzipped logs from command line
Date: Sat, 28 Jul 2007 20:10:13 +0400
Package: awstats
Version: 6.5+dfsg-1
Severity: normal

In the config the LogFile option can be given in form of
"gzip -d </var/log/apache/access.log.gz |"
But This form can't be used when starting from command line
$ awstats.pl -LogFile="gzip -d </var/log/apache2/access.log.12.gz |"
Update for config "/hidden/"
With data in log file "gzip -d "...
Error: Couldn't open server log file "gzip -d " : No such file or
directory

This is caused by
/usr/lib/cgi-bin/awstats.pl:5586
        $QueryString = CleanFromCSSA($QueryString);

Do we really need a CleanFromCSSA() when running from command line?

Workaround: comment line 5586

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')


-- 
WBR, Alex V Breger



Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#435028; Package awstats. (Thu, 16 Apr 2009 22:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Delacour <gui@iroqwa.org>:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Thu, 16 Apr 2009 22:12:02 GMT) Full text and rfc822 format available.

Message #10 received at 435028@bugs.debian.org (full text, mbox):

From: Guillaume Delacour <gui@iroqwa.org>
To: 435028@bugs.debian.org, control@bugs.debian.org
Subject: Confirmed on recent version of awstats
Date: Fri, 17 Apr 2009 00:11:03 +0200
[Message part 1 (text/plain, inline)]
tags 435028 + confirmed
forwarded 435028
https://sourceforge.net/tracker/?func=detail&aid=2769526&group_id=13764&atid=113764
thanks

For version 6.7 (from current Lenny but last upstream version 6.9 too),
the workaround is quite the same, comment the line 5589 to not parse
xss pattern when invoked in cli:

$QueryString = CleanXSS($QueryString);

It is possible, as another workaround, to use "gzip -cd <logfile>"
instead of "gzip -d < <logfile>" to not be cleaned by the CleanXSS
function:

# /usr/lib/cgi-bin/awstats.pl -LogFile="gzip
-cd /var/log/apache2/www.xxxxx-access.log.2.gz|" -config=xxxxx
Create/Update database for config "/etc/awstats/awstats.xxxxx.conf"
by AWStats version 6.7 (build 1.892) 
From data in log file "gzip
-cd /var/log/apache2/www.xxxxx-access.log.2.gz|"... 
Phase 1 : First bypass old records, searching new record... 
Searching new records from beginning of log file... 
Phase 2 : Now process new records (Flush history on disk after 20000
hosts)... 
Jumped lines in file: 0 
Parsed lines in file: 1611 
Found 83 dropped records, 
Found 0 corrupted records, 
Found 0 old records, 
Found 1528 new qualified records.

I think it's a good idea (and i done it under id 2769526) to suggest
upstream to change his default config file to use a non-xss filtered
syntax or to adapt his code to not parse for xss pattern when invoked
by cli.

-- 

Guillaume Delacour
[signature.asc (application/pgp-signature, attachment)]

Tags added: confirmed Request was from Guillaume Delacour <gui@iroqwa.org> to control@bugs.debian.org. (Thu, 16 Apr 2009 22:12:05 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://sourceforge.net/tracker/?func=detail. Request was from Guillaume Delacour <gui@iroqwa.org> to control@bugs.debian.org. (Thu, 16 Apr 2009 22:18:03 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from https://sourceforge.net/tracker/?func=detail to https://sourceforge.net/tracker/?func=detail&aid=2769526&group_id=13764&atid=113764. Request was from Guillaume Delacour <gui@iroqwa.org> to control@bugs.debian.org. (Thu, 16 Apr 2009 22:18:05 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Mon, 23 Jan 2012 12:07:03 GMT) Full text and rfc822 format available.

Message sent on to "Alex V. Breger" <osgxdvyg@gmail.com>:
Bug#435028. (Mon, 23 Jan 2012 12:07:39 GMT) Full text and rfc822 format available.

Message #21 received at 435028-submitter@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: 435028-submitter@bugs.debian.org, Guillaume Delacour <gui@iroqwa.org>
Cc: control@bugs.debian.org
Subject: Re: awstats don't allow to use gzipped logs from command line
Date: Mon, 23 Jan 2012 16:01:50 +0400
tag 435028 upstream
thanks

Hello,

I'll consider to down the severity of this bugreport to wishlist
or just to close one with documentation patch (state this as a feature).

Actually, there is an example in documentation which suggests using
gzip -dc /path/to/log.gz
Please see:
http://awstats.sourceforge.net/docs/awstats_faq.html#MAIL

After all, you can use "cat logfile.gz | gzip -d |", instead
of redirection.  That seems to be universal replacement.




Added tag(s) pending. Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Sat, 28 Jan 2012 08:33:05 GMT) Full text and rfc822 format available.

Reply sent to Sergey B Kirpichev <skirpichev@gmail.com>:
You have taken responsibility. (Mon, 05 Mar 2012 12:06:17 GMT) Full text and rfc822 format available.

Notification sent to "Alex V. Breger" <osgxdvyg@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Mar 2012 12:06:46 GMT) Full text and rfc822 format available.

Message #28 received at 435028-close@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: 435028-close@bugs.debian.org
Subject: Bug#435028: fixed in awstats 7.0~dfsg-6
Date: Mon, 05 Mar 2012 12:02:24 +0000
Source: awstats
Source-Version: 7.0~dfsg-6

We believe that the bug you reported is fixed in the latest version of
awstats, which is due to be installed in the Debian FTP archive:

awstats_7.0~dfsg-6.debian.tar.gz
  to main/a/awstats/awstats_7.0~dfsg-6.debian.tar.gz
awstats_7.0~dfsg-6.dsc
  to main/a/awstats/awstats_7.0~dfsg-6.dsc
awstats_7.0~dfsg-6_all.deb
  to main/a/awstats/awstats_7.0~dfsg-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 435028@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sergey B Kirpichev <skirpichev@gmail.com> (supplier of updated awstats package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 05 Mar 2012 15:38:42 +0400
Source: awstats
Binary: awstats
Architecture: source all
Version: 7.0~dfsg-6
Distribution: unstable
Urgency: low
Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
Changed-By: Sergey B Kirpichev <skirpichev@gmail.com>
Description: 
 awstats    - powerful and featureful web server log analyzer
Closes: 435028
Changes: 
 awstats (7.0~dfsg-6) unstable; urgency=low
 .
   * Document pipe's usage in LogFile directive (Closes: #435028)
   * Reformat debian/copyright according to accepted DEP5 spec
   * Bump up Standards-Version to 3.9.3 (no changes)
Checksums-Sha1: 
 be57a9a99ebe5d19f44830f5b4e7558455ea0024 1968 awstats_7.0~dfsg-6.dsc
 a7f10b59574562870e140bce125f99647198b65f 52578 awstats_7.0~dfsg-6.debian.tar.gz
 8868cd24c8b3a536c32b37866b3ed0229c54be4a 1050186 awstats_7.0~dfsg-6_all.deb
Checksums-Sha256: 
 e2e2e4fc4df2ba1143be1bca1fc96e310d32e101de928cfd7bc8a256d05e3b5e 1968 awstats_7.0~dfsg-6.dsc
 e5b222cfaca3072fd14e2587aa2ed7c209e4792948f84e8308d9e05ebd56ea2d 52578 awstats_7.0~dfsg-6.debian.tar.gz
 7bc967b445bca37fadb9de3fa7bd62a33a33ba022505cab0413cd3bda87ea53a 1050186 awstats_7.0~dfsg-6_all.deb
Files: 
 b703f15e77ab70691ef1241c69e9ece4 1968 web optional awstats_7.0~dfsg-6.dsc
 8fab5facb78360b9ae189cecda7e947a 52578 web optional awstats_7.0~dfsg-6.debian.tar.gz
 6fd5162ed84db1a83262c9e979393d9f 1050186 web optional awstats_7.0~dfsg-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPVKnlAAoJEDnJoLZAJirwgk4P/2b+f960y7WMtlauJpcrfxsC
LJw3tHzvaFvStkSVh5tr02qCLnLjUIRVPukdvi6064zCjgSR/o2fHKBS/KRslRAQ
/HPtBOdgzYoed2gYqLm3G6c/P4kP6TBLLBYpDRcSrxUv1noVJ/0QldzpQPa+Jdna
IIs+q6Z15zYW7r0t3Vd5i8KrxozuW+1Jn06kDfPfPUP72fmBT+vMWMB/7hBQ1fSz
Fy9D+hd/3kOjXfqFgKcQQWl4k81Tm6Zo947/iC0jieDnGVDWIVvh2MnWDlC7Bahg
fiT2H3VHfj2GWBnzL/+Rw+dr7EnQ9XiW5YyRFk72hTQG6zfZRKSnJpvXHnGgdVhZ
Ujv8+6V1YooxFiNMhjmYSL7cew5nvuR/y+/JMYQBeOaAApxvJXEEekn3Zy1m4Ye1
H9q4cW2R6AwDydFGqBiHjRioiCQ4QK58i06kqYpmvFvCOR5dZAyGorG0cf8mpHM+
b0j0V6t/p571Ovv9/J3AlpRRk5BOwK2124/1gp5grbVRItnzt9nDa3RqQbObfzwO
+b7CbKbOJtzBK949mcfq7tPUrCdhw9zv1cVpTTZAHssvahCLgoM7/7IoHJnLfl6S
rmK3/F0leJXWq+QKovsejnHQkTBW5OCbIBdMlNTMJNNA31sQNn3mXugDlzhaJuo2
Vh9SxYfx1P4ZKkwhdYXw
=cOmB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Apr 2012 07:39:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:36:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.